// Find root folder up the DOM
function walkUpForFolderDiv(eventNode) {
  	try {
	 dump("walking " + eventNode + " " + eventNode.tagName + " " + eventNode.getAttribute("type") + "\n");
  	} catch(e) {
		//dump("stumbling \n");
	}	
	if(eventNode && eventNode.tagName && eventNode.tagName == "DIV" && eventNode.hasAttribute("type") && eventNode.getAttribute("type") == "folder" ) {
		dump("returning parent folder match \n");
		return(eventNode);
	} else {
		//dump(" not a match for " + eventNode + "\n");
		if(!isUndefined(eventNode) && eventNode.tagName != "BODY" ) {
			return (walkUpForFolderDiv(eventNode.parentNode));
		} else {
			dump("walk failed \n");
			return(false);
		}	
	}
	return false;
  }
  

// Find first folder up the DOM  
function walkUpForFolder(eventNode) {
  	try {
	 dump("walking " + eventNode + " " + eventNode.tagName + " " + eventNode.getAttribute("type") + "\n");
  	} catch(e) {
		//dump("stumbling \n");
	}	
	if(eventNode && eventNode.tagName && (eventNode.tagName == "DIV" || eventNode.tagName == "SPAN")  && eventNode.hasAttribute("type") && eventNode.getAttribute("type") == "folder" ) {
		dump("returning parent folder match \n");
		return(eventNode);
	} else {
		//dump(" not a match for " + eventNode + "\n");
		if(!isUndefined(eventNode) && eventNode.tagName != "BODY" ) {
			return (walkUpForFolderDiv(eventNode.parentNode));
		} else {
			dump("walk failed \n");
			return(false);
		}	
	}
	return false;
  }

// Find subfolder walking up the DOM  
function walkUpForFolderSpan(eventNode) {
  	try {
	 dump("span walkingUP " + eventNode + " " + eventNode.tagName + "\n");
  	} catch(e) {
		//dump("stumbling \n");
	}	
	if(eventNode && eventNode.tagName && eventNode.hasAttribute("type") && (eventNode.getAttribute("type") == "folder" || eventNode.getAttribute("type")  == "breadcrumb") && eventNode.tagName == "SPAN") {
		dump("span returning match \n");
		return(eventNode);
	} else {
		//dump(" not a match for " + eventNode + "\n");
		if(!isUndefined(eventNode) && eventNode.tagName != "BODY" && eventNode.tagName != "BODY" && eventNode.tagName != "SPAN") {
			return (walkUpForFolderSpan(eventNode.parentNode));
		} else {
			dump("span walk failed \n");
			return(false);
		}	
	}
	return false;
  }
 
 
// Extract an individual parameter value from argument string
function parseQueryString (theArgName) {
	sArgs = location.search.slice(1).split('&');
    r = '';
    for (var i = 0; i < sArgs.length; i++) {
        if (sArgs[i].slice(0,sArgs[i].indexOf('=')) == theArgName) {
            r = sArgs[i].slice(sArgs[i].indexOf('=')+1);
            break;
        }
    }
    return (r.length > 0 ? unescape(r) : '')
}
 

function isUndefined(value)
{
  var undef;
  return value == undef;
} 

